RISC-V builds for a package

Asked by Claudio André on 2021-03-18

I'd like to request enabling RISC-V builds for "my" package. I mean, it looks like I can make that request [1][2].

https://launchpad.net/~claudioandre.br/+snap/john-the-ripper (for releases)

Thanks.

[1] https://launchpad.net/~USER-NAME/+snap/PACKAGE/+edit where "RISC-V 64-bit (riscv64)" is listed as an alternative.
[2] The architectures that this snap package builds for. Some architectures are restricted and may only be enabled or disabled by administrators.

Question information

Language:
English Edit question
Status:
Answered
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Last query:
2021-03-18
Last reply:
2021-03-18
Colin Watson (cjwatson) said : #1

I'm afraid that we can't yet allow this for people who aren't either Canonical employees or Ubuntu core developers, because the riscv64 builders don't yet have much in the way of security to prevent builds from compromising builders. Once we have that (although I don't have a schedule for you at present), we'll be able to open it up more.

Sorry!

Can you help with this problem?

Provide an answer of your own, or ask Claudio André for more information if necessary.

To post a message you must log in.